#include <stdio.h>
#include <stdlib.h>
#define N 100000

typedef struct zlom
{
	int x,y;
} zlom;

zlom p[N];

int n;
int sum;

int cmp1(const void *a, const void *b)
{
	zlom *va=(zlom *) a;
	zlom *vb=(zlom *) b;

	if (va->x > vb->x) return 1;
	if (va->x < vb->x) return -1;
	if (va->y > vb->y) return 1;
	if (va->y < vb->y) return -1;
	return 0;
}

int cmp2(const void *a, const void *b)
{
	const zlom *va=(const zlom *) a;
	const zlom *vb=(const zlom *) b;

	if (va->y > vb->y) return 1;
	if (va->y < vb->y) return -1;
	if (va->x > vb->x) return 1;
	if (va->x < vb->x) return -1;
	return 0;
}

int main()
{
	int i;
	
	while (1)
	{
		scanf("%d", &n);
		if (n == 0) break;

		for ( i=0; i<n; i++ ) scanf("%d %d", &p[i].x, &p[i].y);
		sum=0;

		qsort(&p, n, sizeof(zlom), cmp1);
		for ( i=0; i<n; i+=2 ) sum+=abs(p[i].y-p[i+1].y);
			
		qsort(&p, n, sizeof(zlom), cmp2);
		for ( i=0; i<n; i+=2 ) sum+=abs(p[i].x-p[i+1].x);

		printf("The length of the fence will be %d units.\n", sum);
	}

	return 0;
}
