#include <stdio.h>
#define N 2100

int n;
char w[N][7];
int vis[N],poc[N];
int spoj[N];

int cmp(int a, int b)
{
	int i,ret=0;
	for ( i=0; i<7; i++ ) if (w[a][i]!=w[b][i]) ret++;
	return ret;
}	

int spo(int a, int b)
{
	int poz,farba,na;
	if (poc[a] > poc[b])
	{
		poz=b; farba=vis[a];
		while (1)
		{
			vis[poz]=farba;
			poz=spoj[poz]; 
			if (poz==b) break;
		}
		poc[a]+=poc[b];
		na=spoj[a];
		spoj[a]=spoj[b];
		spoj[b]=na;
	}
	else
	{
		poz=a; farba=vis[b];
		while (1)
		{
			vis[poz]=farba;
			poz=spoj[poz]; 
			if (poz==a) break;
		}
		poc[b]+=poc[a];
		na=spoj[b];
		spoj[b]=spoj[a];
		spoj[a]=na;
	}

	return 0;
}

int main()	
{
	int i,j,dl;
	int sum;	

	while (1)
	{
		scanf("%d", &n);
		if ( n==0 ) break;
		sum=0;
		for ( i=0; i<n; i++ ) {scanf("%s", w[i]);	vis[i]=i; poc[i]=1; spoj[i]=i;}
		
		for ( dl=0; dl<=7; dl++ ) 
		{
			for ( i=0; i<n; i++ ) for ( j=0; j<n; j++ ) 
				if (cmp(i,j)==dl && i!=j && vis[i]!=vis[j])
				{ sum+=dl; spo(i,j);}
		}

		printf("The highest possible quality is 1/%d.\n", sum);
	}

	return 0;
}
